Encryption.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/ConcreteXMLObjectBuilder.h>`
`#include <xmltooling/ElementProxy.h>`
`#include <xmltooling/util/XMLConstants.h>`
`#include <cstdio>`
`#include <boost/lexical_cast.hpp>`
Include dependency graph for Encryption.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | xmlsignature
| Public namespace of XML Signature classes.
namespace | xmlencryption
| Namespace for XML Encryption schema objects.

## Macros

#define | __xmltooling_encryption_h__
#define | DECL_XMLENCOBJECTBUILDER(cname)
| Macro for declaring encryption builders.
#define | DECL_XMLENC11OBJECTBUILDER(cname)
| Macro for declaring encryption 1.1 builders.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

XMLObjects representing XML Encryption content

## Macro Definition Documentation

## DECL_XMLENC11OBJECTBUILDER

#define DECL_XMLENC11OBJECTBUILDER | ( |  | cname | ) |

Value:
DECL_XMLOBJECTBUILDER(XMLTOOL_API,cname,xmlconstants::XMLENC11_NS,xmlconstants::XMLENC11_PREFIX)
DECL_XMLOBJECTBUILDER
#define DECL_XMLOBJECTBUILDER(linkage, cname, namespaceURI, namespacePrefix)
Declares a generic XMLObjectBuilder specialization.
Definition base.h:1681
xmlconstants::XMLENC11_NS
const XMLCh XMLENC11_NS[]
XML Encryption 1.1 namespace ("http://www.w3.org/2009/xmlenc11#").
xmlconstants::XMLENC11_PREFIX
const XMLCh XMLENC11_PREFIX[]
XML Encryption 1.1 QName prefix ("xenc11").

Macro for declaring encryption 1.1 builders.

Parameters

  cname | name of class being built

## DECL_XMLENCOBJECTBUILDER

#define DECL_XMLENCOBJECTBUILDER | ( |  | cname | ) |

Value:
DECL_XMLOBJECTBUILDER(XMLTOOL_API,cname,xmlconstants::XMLENC_NS,xmlconstants::XMLENC_PREFIX)
xmlconstants::XMLENC_NS
const XMLCh XMLENC_NS[]
XML Encryption namespace ("http://www.w3.org/2001/04/xmlenc#").
xmlconstants::XMLENC_PREFIX
const XMLCh XMLENC_PREFIX[]
XML Encryption QName prefix ("xenc").

Macro for declaring encryption builders.

Parameters

  cname | name of class being built